commit:     96f4a09c6221ded270d8206acd156407847b0ce4
Author:     Sam Jorna <wraeth <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 18 01:19:42 2021 +0000
Commit:     Sam Jorna <wraeth <AT> gentoo <DOT> org>
CommitDate: Sun Apr 18 01:20:10 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=96f4a09c

sys-apps/the_silver_searcher: bump to 2.2.0_p20201217

Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Sam Jorna <wraeth <AT> gentoo.org>

 sys-apps/the_silver_searcher/Manifest              |  1 +
 .../the_silver_searcher-2.2.0_p20201217.ebuild     | 55 ++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/sys-apps/the_silver_searcher/Manifest 
b/sys-apps/the_silver_searcher/Manifest
index d98c5b32ad2..d0b5e63ea97 100644
--- a/sys-apps/the_silver_searcher/Manifest
+++ b/sys-apps/the_silver_searcher/Manifest
@@ -1 +1,2 @@
 DIST the_silver_searcher-2.2.0.tar.gz 163686 BLAKE2B 
ca81f701336ff463b6dc783ac8bc615a05e048c35b653a80c3fb74b053bb71f4822990b699a9e3741c7ffdd2581b65faa5439824189a9d8e36025d248201f814
 SHA512 
b635165fa3259475027986dd49c0786545cc2e3037695aec70f6ee54eaa768ab0e25af78d4bfd3754c4eb8352464cebf64324ed4a68a4b3de60a6889473da26e
+DIST the_silver_searcher-2.2.0_p20201217.tar.gz 165236 BLAKE2B 
eaf5e657b33d463048a83e08a90588448cb2fcd481b1f7f869e82c5e1ae1168a10dacb0d549dcc4acafb4323c96a9b67ff9e58de85f80bd2bd7e209ddc5ca6fa
 SHA512 
96bc8da8ba10034bbb646bac71d479a21a68793e8af5377481da72c8dfa49ac99a1540c2b4193c4a95167127f1caa48fbd611ba367b8279bd2115549b6d8d126

diff --git 
a/sys-apps/the_silver_searcher/the_silver_searcher-2.2.0_p20201217.ebuild 
b/sys-apps/the_silver_searcher/the_silver_searcher-2.2.0_p20201217.ebuild
new file mode 100644
index 00000000000..1094502e22e
--- /dev/null
+++ b/sys-apps/the_silver_searcher/the_silver_searcher-2.2.0_p20201217.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit autotools bash-completion-r1 vcs-snapshot
+
+COMMIT="a61f1780b64266587e7bc30f0f5f71c6cca97c0f"
+
+DESCRIPTION="A code-searching tool similar to ack, but faster"
+HOMEPAGE="https://github.com/ggreer/the_silver_searcher";
+SRC_URI="https://github.com/ggreer/${PN}/archive/${COMMIT}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 ~x86 ~amd64-linux"
+IUSE="lzma test zlib"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-libs/libpcre
+       lzma? ( app-arch/xz-utils )
+       zlib? ( sys-libs/zlib )"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig
+       test? (
+               dev-util/cram
+               dev-vcs/git
+       )"
+
+DOCS="README.md"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-2.1.0-lzma.patch
+)
+
+src_prepare() {
+       sed '/^dist_bashcomp/d' -i Makefile.am || die
+
+       default
+       eautoreconf
+}
+
+src_configure() {
+       econf \
+               $(use_enable lzma) \
+               $(use_enable zlib)
+}
+
+src_test() {
+       cram -v tests/*.t || die "tests failed"
+}
+
+src_install() {
+       default
+       newbashcomp ag.bashcomp.sh ag
+}

Reply via email to